Bug 207103 - Xine from Freshrpms: avc: denied { execmod } for pid=7892 comm="xine" name="libfame-0.9.so.1.0.0"
Summary: Xine from Freshrpms: avc: denied { execmod } for pid=7892 comm="xine" name...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-19 13:32 UTC by Andre Robatino
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 20:06:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andre Robatino 2006-09-19 13:32:27 UTC
Description of problem:
  When running Xine from Freshrpms, the following message appears in
/var/log/messages:

Sep 19 08:56:40 localhost kernel: audit(1158670600.027:6): avc:  denied  {
execmod } for  pid=7892 comm="xine" name="libfame-0.9.so.1.0.0" dev=dm-0 ino=8481188
scontext=user_u:system_r:unconfined_execmem_t:s0
tcontext=system_u:object_r:lib_t:s0 tclass=file

Libfame is also a Freshrpms package.  The offending file is:

[andre@localhost ~]$ ls -lZ /usr/lib/sse2/libfame-0.9.so.1.0.0
-rwxr-xr-x  root root system_u:object_r:lib_t         
/usr/lib/sse2/libfame-0.9.so.1.0.0

  I'm not sure if this should be reported under Fedora or Freshrpms.

Version-Release number of selected component (if applicable):
selinux-policy-2.3.7-2.fc5

How reproducible:
always

Comment 1 Daniel Walsh 2006-09-19 14:42:22 UTC
Report the bug to libfame developer.

You need to set the context of the file to textrel_shlib_t to make it work

chcon -t textrel_shlib_t /usr/lib/sse2/libfame-0.9.s0.1.0.0

Fixed in selinux-policy-2.3.14-4

Comment 2 Daniel Walsh 2007-03-28 20:06:30 UTC
Closing bugs



Note You need to log in before you can comment on or make changes to this bug.